%global momorel 1

Name: ntfs-3g
Summary: another implementation of ntfs driver
Version: 1.2812
Release: %{momorel}m%{?dist}
License: GPL
URL: http://www.ntfs-3g.org/
Group: System Environment/Kernel
Source0: http://www.ntfs-3g.org/%{name}-%{version}.tgz 
NoSource: 0
Patch0:	ntfs-3g-1.2216-nomtab.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: fuse
BuildRequires: fuse-devel
Provides: ntfsmount
Obsoletes: ntfsmount

%description
The ntfs-3g driver is an open source, GPL licensed, third generation 
Linux NTFS driver. It provides full read-write access to NTFS, excluding 
access to encrypted files, writing compressed files, changing file 
ownership, access right.

Technically its based on and a major improvement to the third 
generation Linux NTFS driver, ntfsmount. The improvements include 
functionality, quality and performance enhancements.

ntfs-3g features are being merged to ntfsmount. In the meanwhile, 
ntfs-3g is currently the only free, as in either speech or beer, NTFS 
driver for Linux that supports unlimited file creation and deletion.


%package devel
Summary: development libraries of ntfs-3g
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
development libraries of ntfs-3g

%prep
%setup -q
%patch0 -p1

%build
CFLAGS="%{optflags} -D_FILE_OFFSET_BITS=64"
%configure \
	--disable-static \
	--disable-ldconfig \
%if 0%{?_with_externalfuse:1}
	--with-fuse=external \
%endif
	--exec-prefix=/ \
	--bindir=/bin \
	--sbindir=/sbin \
	--libdir=/%{_lib}


%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot} transform='s,x,x,'

find %{buildroot} -name "*.la" -delete

# make the symlink an actual copy to avoid confusion
rm -rf %{buildroot}/sbin/mount.ntfs-3g
cp -a %{buildroot}/bin/ntfs-3g %{buildroot}/sbin/mount.ntfs-3g

# Actually make some symlinks for simplicity...
# ... since we're obsoleting ntfsprogs-fuse
cd %{buildroot}/bin
ln -s ntfs-3g ntfsmount
cd %{buildroot}/sbin
ln -s mount.ntfs-3g mount.ntfs-fuse

# And since there is no other package in Fedora that provides an ntfs 
# mount...
ln -s mount.ntfs-3g mount.ntfs

# Compat symlinks
mkdir -p %{buildroot}%{_bindir}
cd %{buildroot}%{_bindir}
ln -s /bin/ntfs-3g ntfs-3g
ln -s /bin/ntfsmount ntfsmount

# Put the .pc file in the right place.
mkdir -p %{buildroot}%{_libdir}/pkgconfig/
mv %{buildroot}/%{_lib}/pkgconfig/libntfs-3g.pc %{buildroot}%{_libdir}/pkgconfig/

# We get this on our own, thanks.
rm -rf %{buildroot}%{_defaultdocdir}/%{name}/README

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING CREDITS NEWS README
/sbin/mount.ntfs
%attr(754,root,root) /sbin/mount.ntfs-3g
/sbin/mount.ntfs-fuse
/bin/ntfs-3g
/bin/ntfsmount
/bin/ntfs-3g.probe
%{_bindir}/ntfs-3g
%{_bindir}/ntfsmount
/%{_lib}/libntfs-3g.so.*
%{_mandir}/man8/*


%files devel
%defattr(-,root,root,-)
%{_includedir}/ntfs-3g/
/%{_lib}/libntfs-3g.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Thu Sep 11 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.2812-1m)
- update 1.2812

* Mon Jul 14 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.2712-2m)
- Provides and Obsoletes: ntfsmount

* Mon Jul 14 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (1.2712-1m)
- update 1.2712

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (1.2310-2m)
- rebuild against gcc43

* Sun Mar 30 2008 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.2310-1m)
- up to 1.2310

* Wed Feb 13 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1120-2m)
- %%NoSource -> NoSource

* Sun Dec 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (1.1120-1m)
- update 1.1120

* Thu Jun  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.516-2m)
- fix duplicate files

* Thu Jun  7 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (1.516-1m)
- update to 1.516 (sync with FC-devel)

* Fri Feb 23 2007 Mitsuru Shimamura <smbd@momonga-linux.org>
- (1.0-1m)
- initial commit

